### Method

# Vte Pty spawn_finish

since: 0.48

#### Declaration [src]

    gboolean
    vte_pty_spawn_finish (
      VtePty* pty,
      GAsyncResult* result,
      GPid* child_pid,
      GError** error
    )

#### Description

No description available.

Available since: 0.48

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`child_pid`

  Type: `GPid`

  A location to store the child PID, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, or `FALSE` on error with `error` filled in.